密钥概览
| 密钥版本 | V3 |
|---|---|
| 规范 | RFC 1991 · RFC 2440 · RFC 4880 |
| 状态 | 已淘汰的旧格式,仅为历史兼容性保留 |
| 主密钥(认证、签名) | RSA 2048 · ID 1 |
| 加密子密钥 | 无:版本 2 和 3 的密钥没有子密钥,RSA 主密钥也用于加密(C/S/E 由算法推导) |
| 指纹 | EA8BD9DA685265394EC511D107B09C8A |
| 私钥口令 | synthetic-key-password |
算法与用途
RSA 2048: 模数长度为 2048 位 的 RSA。大多数软件仍然接受它,但 RFC 9580 已不再建议生成低于 3072 位的 RSA 密钥;作为旧式选项保留。
公钥
包含用户 ID 和自签名的公钥。版本 2 和 3 的密钥没有子密钥:同一个 RSA 密钥用于验证签名,以及向此测试身份加密数据。
下载 → 868 字节
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQEPA2r3la4AAAEIAKkDPiPWzcuBqIfAyZADJYWFxf1WCq2irSb0nX2QHsp4XcNV
yvedTMUdwPBqP4KXJLbz6bqZPNhbvOpQHBJchAT9QpxvGxkBYAkwKnMjOMw0ssQ7
HOseRO8Uck/q895if/XfkuP8IqsQaFdWWLIZ2BIz46iqOn4GXySeqjfsTsP9bimi
0LEkcxFySukIZvEBZy82DJ9rDW6dpADcid1Bi5nghb39wBuHUhnrdN1fm/SzBMME
SBTLcdr92OOAbaR1LOOm6eDYfd3wIbv8v3BP/RQr4Zc+gSe0hlnteh+yYfO052wI
RyhnnY1V8t4LLg2yQ7NTvS5QB9A7CL1nDEJCPdEAEQEAAbQZQ0gtSiBtYXRyaXgg
NDItdjMtcnNhMjA0OIkBFQMFEGr3la4IvWcMQkI90QEBiYIH/33d3s0goh+72Bnw
wNKtBupjSC8VUZi8DTdJJsB06Zz7i/fMQVDNGTLcZug/ZcVNsI+4fZu4ykZTy/He
PdBr+sgs8PfIvptOI9f0aX7vqPkNrvzO9IlxLjlNnAwuHGQeZ37fn0aI3asx07SA
m3N9wgE4zsdKj9MD515WccXMc6ytQkQn3Zd7YldeJm0Fb8mN2spkYuFWvD3/rbd3
W/3Jsmvb3Fw7l1m7Dc2zKGGWK95dHPoCw1pXiS+Ok0vZZGe6BK7r4CwayhMn9i6U
FumQWdTaPbbLP1GboxDi0BPkNzIg1V/yr402pDAmdSdz4sTUB/qJuRr5rrxR+zyL
7r6jBI0=
=+nJk
-----END PGP PUBLIC KEY BLOCK-----
私钥
由上方所示口令保护的私钥。仅为测试而公开,任何人都可使用。
下载 → 1 763 字节
显示
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQOiA2r3la4AAAEIAKkDPiPWzcuBqIfAyZADJYWFxf1WCq2irSb0nX2QHsp4XcNV
yvedTMUdwPBqP4KXJLbz6bqZPNhbvOpQHBJchAT9QpxvGxkBYAkwKnMjOMw0ssQ7
HOseRO8Uck/q895if/XfkuP8IqsQaFdWWLIZ2BIz46iqOn4GXySeqjfsTsP9bimi
0LEkcxFySukIZvEBZy82DJ9rDW6dpADcid1Bi5nghb39wBuHUhnrdN1fm/SzBMME
SBTLcdr92OOAbaR1LOOm6eDYfd3wIbv8v3BP/RQr4Zc+gSe0hlnteh+yYfO052wI
RyhnnY1V8t4LLg2yQ7NTvS5QB9A7CL1nDEJCPdEAEQEAAQFmmzl4u8iBowf/Lzsb
5fSER+mFJ5ezP9kjTE3wdmSDp6m5wSHYzSPjDtSLciwUBXULqoBj70DtCLKWBK2M
2ov39ej/ko2XkBWlnqHSiwhOFd4BEYafa4jCT5Lhal/x8pj28nkIQLCwAUzra0V0
s6eaTfPGDpmcTLFvikrQ9DK8rj+bzkTRU43QIhI9E6ugUO3OpO7Tx4ISUqwAd/b5
dVwIZ9WLVaruJb2T8XukfE0qaAM+Hh5AEBG5qL/AjwDCo+hR+bRbECM5j+cqh8qD
2qXK11gcRfgF0Dn3gHAf7P7CzSdzThiw3dhsPVyjA1eIhKZeTJvxeUUO4ZwLCtIi
eyfQDdN0O2TaYnSQbgQAg17QQaA6fVA1KNzhkRA5fL05xUE4I+V8NeTILfBE9W9F
hxxjXhYPL+NoYF1wVQIjhqfvkYmX9NdqQhQ1qlEaCtXMbnBt9Aj6oAf4bjs1RiEL
Otftdel7giFPLA4IgWK1S3ojrXjcAwmEZj+qhSEhNrb5ddZFRfzsHymT/rkxQRME
APGE8ZZYVgybSAFGVwm3FxCKZilScfmKdzyJSTMpq1jMl4bnoYKYRiD38UnyFhsm
vrbxkHOtbGq7aQJq0oDA/VqKNZY7fjXJDCgkhXuKpVWN0b8Jka8XFJkg3tzZdeIu
Zo//qUoFeyzz3BYa3x0I7KiW7xVXTh914XBVbFB6pjg3A//D6PY72gckgrR0cSjo
rNq7UShqch//u92gmRN+aHwKSxu3B3ehfVkVX9bwDTJpuoPTfNyDNcqj27VBYUAF
cbTxfbIsniXO4hmwMPRCGe+DLrpFapLU9clEyGszh6ovZuF09vC3BcLWLpPgCT4x
0SYAGSGecM/D/jN+wjV6deGL0zc6tBlDSC1KIG1hdHJpeCA0Mi12My1yc2EyMDQ4
iQEVAwUQaveVrgi9ZwxCQj3RAQGJggf/fd3ezSCiH7vYGfDA0q0G6mNILxVRmLwN
N0kmwHTpnPuL98xBUM0ZMtxm6D9lxU2wj7h9m7jKRlPL8d490Gv6yCzw98i+m04j
1/Rpfu+o+Q2u/M70iXEuOU2cDC4cZB5nft+fRojdqzHTtICbc33CATjOx0qP0wPn
XlZxxcxzrK1CRCfdl3tiV14mbQVvyY3aymRi4Va8Pf+tt3db/cmya9vcXDuXWbsN
zbMoYZYr3l0c+gLDWleJL46TS9lkZ7oEruvgLBrKEyf2LpQW6ZBZ1No9tss/UZuj
EOLQE+Q3MiDVX/KvjTakMCZ1J3PixNQH+om5GvmuvFH7PIvuvqMEjQ==
=vVLD
-----END PGP PRIVATE KEY BLOCK-----
吊销证书
预先生成的密钥泄露证书,采用 RFC 1991 定义的签名类别 0x20(“This is my key, and I have revoked it”),由 PGP 2.6. 实现。导入后会将密钥标记为已吊销。
下载 → 1 245 字节
显示
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQEPA2r3la4AAAEIAKkDPiPWzcuBqIfAyZADJYWFxf1WCq2irSb0nX2QHsp4XcNV
yvedTMUdwPBqP4KXJLbz6bqZPNhbvOpQHBJchAT9QpxvGxkBYAkwKnMjOMw0ssQ7
HOseRO8Uck/q895if/XfkuP8IqsQaFdWWLIZ2BIz46iqOn4GXySeqjfsTsP9bimi
0LEkcxFySukIZvEBZy82DJ9rDW6dpADcid1Bi5nghb39wBuHUhnrdN1fm/SzBMME
SBTLcdr92OOAbaR1LOOm6eDYfd3wIbv8v3BP/RQr4Zc+gSe0hlnteh+yYfO052wI
RyhnnY1V8t4LLg2yQ7NTvS5QB9A7CL1nDEJCPdEAEQEAAYkBFQMFIGr3la4IvWcM
QkI90QEB4ToH/jrOyAGUlqVd2PfPpPLcmGffnvWdU2++RF5wKLwJomcvDmIX+5Aa
tJZIzE2hWG/lk0xP/ZiN0cdEF7heXeiZyIDQp0xuHp+3ruYNUFU/iZS73y/ukx7M
th6Pr3mxsQzxqjEIMwZOtZfv2uLUwXd9QEoMqHwnQcb/bqyOR6Nw57lElCNtFKgm
9jfHnjSV7VjwytW1q/3b4nHMHdqtz6IxT+iLAiADcllE2OD6mdaWEoyC/t5nQXwz
quyO5673WR1oxubxVlW+ilX2ZnyMBHv7ooQji0DL4xVEhKE37C0wDOuv8Z9zmA8e
yZREcUmcMW+ftbrqdtkPDFB0CjtL+QBQDuC0GUNILUogbWF0cml4IDQyLXYzLXJz
YTIwNDiJARUDBRBq95WuCL1nDEJCPdEBAYmCB/993d7NIKIfu9gZ8MDSrQbqY0gv
FVGYvA03SSbAdOmc+4v3zEFQzRky3GboP2XFTbCPuH2buMpGU8vx3j3Qa/rILPD3
yL6bTiPX9Gl+76j5Da78zvSJcS45TZwMLhxkHmd+359GiN2rMdO0gJtzfcIBOM7H
So/TA+deVnHFzHOsrUJEJ92Xe2JXXiZtBW/JjdrKZGLhVrw9/623d1v9ybJr29xc
O5dZuw3NsyhhliveXRz6AsNaV4kvjpNL2WRnugSu6+AsGsoTJ/YulBbpkFnU2j22
yz9Rm6MQ4tAT5DcyINVf8q+NNqQwJnUnc+LE1Af6ibka+a68Ufs8i+6+owSN
=hmpR
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin 的签名
在 CH-J Tools 中使用此密钥生成的 test_1MB.bin 的 ASCII 装甲格式分离签名。请将其保存为 test_1MB.bin.asc,与测试文件放在同一目录。
下载 → 447 字节
-----BEGIN PGP SIGNATURE-----
iQEVAwUAaveVrgi9ZwxCQj3RAQEGewf9G4/6My4YqkP04+VtYwK/fKv7bOX2dl+4
N0SmxhkOkM8eao4CE4ePEzi3kh9GVOh2zFCtultYo6thj/dDoVIFOxj2q6eAwSnC
vfPhv9lnBzXTHfiqm7O+CiTnPCiMUiIMc75Rv+4Kr4SwbSM/cgYQlWBJFuJ4uNVp
eO7pgqpOpd/Br+Qo6K+JCPDf+3bXblCISqBum3kIoZ3/IJ7utnEmRonuZcjHov6F
eiuSAYSeV3eu1/O+BkUbxKP8T/gL33R12SlUHjWLiN1tEVHtA7avP8Xgl+sBLwYD
YVk6pZpt5g4xdHNOqgFQ4iVYEIq7Z6JwE0dndgB1W0UZftuDqUSwPg==
=On4n
-----END PGP SIGNATURE-----
验证签名
版本 3 和 2 的密钥需要明确允许 MD5 的 GnuPG 1.4(gpg1)、历史版本的 PGP,或 CH-J Tools。请使用临时 GNUPGHOME,避免将测试密钥导入实际使用的密钥环:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-42-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin